Subject: [AVTCORE] RFC6597

From: "Arbeiter, James" <[email-masked]>
Date: Wed, 6 Oct 2021 21:04:58 +0000

In April 2012 RFC6597 was completed and published. While it was assumed this document was on the Standards Track to become an Internet Standard it appears this was not the case. Is there a process needed to continue this document onto becoming an internet standard? Please advise.

Thank you,

Jim Arbeiter
NGA/Motion Imagery Standards Board
Moriarty and Associates
[email-masked]<mailto:[email-masked]>
321-355-9858

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 7 Oct 2021 10:24:01 -0700

Within the IETF, documents do not automatically progress along the Standards Track. RFC 6597 was published as a Proposed Standard, and will remain at that level until actions are taken to advance it.  The standards process is described in BCP 9, available here:  https://www.rfc-editor.org/info/bcp9

RFC 6410 describes the requirements for the next maturity level, which would be Internet Standard (described in Section 2.2).  Typical steps toward the next level would involve preparation of an Implementation Report, and compilation of errata or clarifications to address issues that may have arisen in implementation. 

> On Oct 7, 2021, at 08:29, Arbeiter, James <[email-masked]> wrote:
> 
> 
> [email-masked]
> 321-355-9858
>  
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 7 Oct 2021 13:41:41 -0400

On 10/7/21 1:24 PM, Bernard Aboba wrote:
> Within the IETF, documents do not automatically progress along the 
> Standards Track. RFC 6597 was published as a Proposed Standard, and will 
> remain at that level until actions are taken to advance it.  The 
> standards process is described in BCP 9, available here: 
> https://www.rfc-editor.org/info/bcp9 <https://www.rfc-editor.org/info/bcp9>

When was the last time that *anything* advanced to Internet Standard?

	Thanks,
	Paul

> RFC 6410 describes the requirements for the next maturity level, which 
> would be Internet Standard (described in Section 2.2).  Typical steps 
> toward the next level would involve preparation of an Implementation 
> Report, and compilation of errata or clarifications to address issues 
> that may have arisen in implementation.
> 
>> On Oct 7, 2021, at 08:29, Arbeiter, James 
>> <[email-masked]> wrote:
>>
>> 
>>
>> In April 2012 RFC6597 was completed and published. While it was 
>> assumed this document was on the Standards Track to become an Internet 
>> Standard it appears this was not the case. Is there a process needed 
>> to continue this document onto becoming an internet standard? Please 
>> advise.
>>
>> Thank you,
>>
>> Jim Arbeiter
>>
>> <mailto:[email-masked]>
>>
>> 321-355-9858
>>

---

From: Colin Perkins <[email-masked]>
Date: Thu, 7 Oct 2021 19:51:21 +0100

> On 7 Oct 2021, at 18:41, Paul Kyzivat <[email-masked]> wrote:
>> Within the IETF, documents do not automatically progress along the Standards Track. RFC 6597 was published as a Proposed Standard, and will remain at that level until actions are taken to advance it.  The standards process is described in BCP 9, available here: https://www.rfc-editor.org/info/bcp9 <https://www.rfc-editor.org/info/bcp9>
> 

RTP is an Internet Standard. 

Admittedly, that’s not recent...

Cheers,
Colin

---

From: Brian Rosen <[email-masked]>
Date: Thu, 7 Oct 2021 14:57:52 -0400

Apparently June 2021 (or March 2021 depending on how you interpret STD 95)

https://www.rfc-editor.org/search/rfc_search_detail.php?rfc=std+95&pubstatus%5B%5D=Any&pub_date_type=any

> On Oct 7, 2021, at 2:51 PM, Colin Perkins <[email-masked]> wrote:
>

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 7 Oct 2021 17:44:07 -0400

> Apparently June 2021 (or March 2021 depending on how you interpret STD 95)

Interesting. I was unaware. It looks like there was a drought beteen 
STD89 in 2006 and STD90 in 2017. I had the impression that we just 
weren't doing STDs anymore. I guess they went back into style. Live and 
learn!

	Thanks,
	Paul

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 8 Oct 2021 09:19:03 +0200

On 7. Oct 2021, at 23:44, Paul Kyzivat <[email-masked]> wrote:
> 
> It looks like there was a drought beteen STD89 in 2006 and STD90 in 2017. 

Not really that pronounced; https://www.rfc-editor.org/standards

But, yes, advancement is a rare occasion, and it usually involves everyone going a few extra miles.
And the technology needs to be stable enough so this can be done at all; consider that HTTP is only now (2021) achieving this level.

Upon cursory examination, it seems to me no RTP payload format has received this treatment yet; everybody is happy with the (obviously misleading) label “Proposed Standard”.

Grüße, Carsten

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 8 Oct 2021 08:39:35 -0500

Hi, Jim Arbeiter,

On Thu, Oct 7, 2021 at 10:29 AM Arbeiter, James <
[email-masked]> wrote:

> In April 2012 RFC6597 was completed and published. While it was assumed
> this document was on the Standards Track to become an Internet Standard it
> appears this was not the case. Is there a process needed to continue this
> document onto becoming an internet standard? Please advise.
>

So, now that we've refreshed our memory about the IETF standards process
... 🙂

Let's go back to your original question.

   - Yes, there is a process to advance to Internet Standard.
   - That process doesn't happen automatically.
   - For most documents on the standards track, we are happy to leave a
   document at Proposed Standard level, because "standards track" is the
   important part for many people inside the IETF. .
   - People outside the IETF care more about that distinction, so if (for
   example) Society of Motion Picture and Television Engineers (SMPTE) thought
   it was important that the specification should be an Internet Standard,
   it's possible to pursue that classification (doesn't have to be a formal
   body, but it often is)

I didn't see a reply to your question that included a link to
https://www.rfc-editor.org/rfc/inline-errata/rfc6410.html, which describes
the requirements to advance to Internet Standard (I'm intentionally
pointing to the version of that document that includes approved errata),
but it looks like the process is (in section 2.2)

   The IESG, in an IETF-wide Last Call of at least four weeks, confirms
   that a document advances from Proposed Standard to Internet Standard.
   The request for reclassification is sent to the IESG along with an
   explanation of how the criteria have been met.  The criteria are:

   (1) There are at least two independent interoperating implementations
       with widespread deployment and successful operational experience.

   (2) There are no errata against the specification that would cause a
       new implementation to fail to interoperate with deployed ones.

   (3) There are no unused features in the specification that greatly
       increase implementation complexity.

   (4) If the technology required to implement the specification
       requires patented or otherwise controlled technology, then the
       set of implementations must demonstrate at least two independent,
       separate and successful uses of the licensing process.

So, the first question is, does someone need this RFC to be an Internet
Standard? If so, that's a conversation we could have, and asking if anyone
on this mailing list would object is a great first step (because knowing
about objections early is always a good thing).

Does that help?

Best,

Spencer, wearing absolutely no hats

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 8 Oct 2021 09:25:21 -0500

Hi, Jim,

On Fri, Oct 8, 2021 at 9:10 AM Arbeiter, James <
[email-masked]> wrote:

> Spencer,
>
>
>
> Thank you for responding in kind and with your comprehensive explanation.
>
>
>
> My initial concern was that this RFC was potentially “dropped” from the
> radar meaning it was no longer a valid specification because we may have
> failed to follow up. That appears to be not true. This is good to know.
>

You are not the first person to be confused about the IETF standards track
(and may not be the last person confused about it). The problem is not with
you 😉

> Our community (US government based) is expanding its research into AI/ML
> methods to deliver information in bandwidth-constrained environments. This
> RFC, which is now in use in some partner NATO nations, may receive more
> attention in the US because of this research. Since it is an “usable”
> specification at this point I believe this is sufficient to warrant its
> continued and possible future uses. Should this RFC become more
> instrumental as we progress it may at that point be worthwhile to address
> its movement to an Internet Standard.
>
>
>
> Thank you again, and if I have made any incorrect assumptions, please do
> correct me.
>

I think you have this exactly right.

A significant number of SDOs and other organizations have wondered whether
"Proposed Standard" was stable and usable as a reference in their
specifications. I'm not aware of any current SDOs with formal liaisons to
the IETF who still have this concern.

Best,

Spencer

> Respectively,
> NGA/MISB
> *From:* Spencer Dawkins at IETF <[email-masked]>
> *Sent:* Friday, October 8, 2021 9:40 AM
> *To:* Arbeiter, James <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: [AVTCORE] RFC6597
>
>
>
> Hi, Jim Arbeiter,
>
>
>
> https://www.rfc-editor.org/rfc/inline-errata/rfc6410.html, which
> describes the requirements to advance to Internet Standard (I'm
> intentionally pointing to the version of that document that includes
> approved errata), but it looks like the process is (in section 2.2)
>

---

From: "Arbeiter, James" <[email-masked]>
Date: Thu, 7 Oct 2021 18:28:15 +0000

Thank you Bernard for the information and clarity.

Jim Arbeiter
Moriarty and Associates

From: Bernard Aboba <[email-masked]>
Sent: Thursday, October 7, 2021 1:24 PM
To: Arbeiter, James <[email-masked]>
Cc: [email-masked]
Subject: Re: [AVTCORE] RFC6597

On Oct 7, 2021, at 08:29, Arbeiter, James <[email-masked]<mailto:[email-masked]>> wrote:

Thank you,

Jim Arbeiter

_______________________________________________
Audio/Video Transport Core Maintenance
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/avt

---

From: "Arbeiter, James" <[email-masked]>
Date: Fri, 8 Oct 2021 14:10:17 +0000

Spencer,

My initial concern was that this RFC was potentially “dropped” from the radar meaning it was no longer a valid specification because we may have failed to follow up. That appears to be not true. This is good to know.

Our community (US government based) is expanding its research into AI/ML methods to deliver information in bandwidth-constrained environments. This RFC, which is now in use in some partner NATO nations, may receive more attention in the US because of this research. Since it is an “usable” specification at this point I believe this is sufficient to warrant its continued and possible future uses. Should this RFC become more instrumental as we progress it may at that point be worthwhile to address its movement to an Internet Standard.

Thank you again, and if I have made any incorrect assumptions, please do correct me.

Respectively,

Jim Arbeiter
NGA/MISB
Moriarty and Associates

From: Spencer Dawkins at IETF <[email-masked]>
Sent: Friday, October 8, 2021 9:40 AM
To: Arbeiter, James <[email-masked]>
Cc: [email-masked]
Subject: Re: [AVTCORE] RFC6597

Hi, Jim Arbeiter,

On Thu, Oct 7, 2021 at 10:29 AM Arbeiter, James <[email-masked]<mailto:[email-masked]>> wrote:
In April 2012 RFC6597 was completed and published. While it was assumed this document was on the Standards Track to become an Internet Standard it appears this was not the case. Is there a process needed to continue this document onto becoming an internet standard? Please advise.

So, now that we've refreshed our memory about the IETF standards process ... 🙂

  *   Yes, there is a process to advance to Internet Standard.
  *   That process doesn't happen automatically.
  *   For most documents on the standards track, we are happy to leave a document at Proposed Standard level, because "standards track" is the important part for many people inside the IETF. .
  *   People outside the IETF care more about that distinction, so if (for example) Society of Motion Picture and Television Engineers (SMPTE) thought it was important that the specification should be an Internet Standard, it's possible to pursue that classification (doesn't have to be a formal body, but it often is)
I didn't see a reply to your question that included a link to https://www.rfc-editor.org/rfc/inline-errata/rfc6410.html, which describes the requirements to advance to Internet Standard (I'm intentionally pointing to the version of that document that includes approved errata), but it looks like the process is (in section 2.2)

So, the first question is, does someone need this RFC to be an Internet Standard? If so, that's a conversation we could have, and asking if anyone on this mailing list would object is a great first step (because knowing about objections early is always a good thing).

Does that help?

Best,

---

From: Brian Rosen <[email-masked]>
Date: Fri, 8 Oct 2021 11:02:08 -0400

Keep in mind that the challenge in moving a proposed standard to full standard is showing that there are multiple interoperable implementations of every feature in the document.  It’s usually easy to document that most of the content has been implemented multiple times interoperably, but it’s usually hard to show that all of it has.  Sometimes, we end up deleting features in our efforts to get to full standard.

> On Oct 8, 2021, at 10:10 AM, Arbeiter, James <[email-masked]> wrote:
> 
> Spencer,
>  
> [email-masked] <mailto:[email-masked]>
> 321-355-9858
>  
> On Thu, Oct 7, 2021 at 10:29 AM Arbeiter, James <[email-masked] <mailto:[email-masked]>> wrote:
> Yes, there is a process to advance to Internet Standard.
> That process doesn't happen automatically.
> For most documents on the standards track, we are happy to leave a document at Proposed Standard level, because "standards track" is the important part for many people inside the IETF. . 
> People outside the IETF care more about that distinction, so if (for example) Society of Motion Picture and Television Engineers (SMPTE) thought it was important that the specification should be an Internet Standard, it's possible to pursue that classification (doesn't have to be a formal body, but it often is)
> I didn't see a reply to your question that included a link to https://www.rfc-editor.org/rfc/inline-errata/rfc6410.html <https://www.rfc-editor.org/rfc/inline-errata/rfc6410.html>, which describes the requirements to advance to Internet Standard (I'm intentionally pointing to the version of that document that includes approved errata), but it looks like the process is (in section 2.2)

---

From: "Arbeiter, James" <[email-masked]>
Date: Fri, 8 Oct 2021 15:06:08 +0000

Got it. Thanks and will do.

Jim Arbeiter
Moriarty and Associates

From: Brian Rosen <[email-masked]>
Sent: Friday, October 8, 2021 11:02 AM
To: Arbeiter, James <[email-masked]>
Cc: Apple Inc. <[email-masked]>; [email-masked]
Subject: Re: [AVTCORE] RFC6597

On Oct 8, 2021, at 10:10 AM, Arbeiter, James <[email-masked]<mailto:[email-masked]>> wrote:

Spencer,

Respectively,

Jim Arbeiter
NGA/MISB
Moriarty and Associates

From: Spencer Dawkins at IETF <[email-masked]<mailto:[email-masked]>>
Sent: Friday, October 8, 2021 9:40 AM
To: Arbeiter, James <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [AVTCORE] RFC6597

Hi, Jim Arbeiter,

Does that help?

Best,